Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.helper
Class OWLBuilder

    java.lang.Object
      |
      +--org.semanticweb.owl.model.helper.OWLBuilder

public class OWLBuilder
extends Object

Builds abstract OWL ontologies (eg from parser input).

Version:
  $Id: OWLBuilder.java,v 1.3 2003/12/19 12:04:16 sean_bechhofer Exp $

Nested Class Summary
`static class` | `OWLBuilder.AnnotationComponent` Encapsulates the property and the content of an annotation.
`static class` | `OWLBuilder.CardinalityComponent` Encapsulates the properties of a cardinality component.
`static class` | `OWLBuilder.DataLiteralValueComponent` Encapsulates the properties of a data literal value component.
`static class` | `OWLBuilder.DataPropertyValue` Pair `OWLDataProperty`, `OWLIndividual`.
`static class` | `OWLBuilder.DataRangeComponent` Encapsulates the properties of a dataRange component.
`static class` | `OWLBuilder.DescriptionComponent` Encapsulates the properties of a description component.
`static class` | `OWLBuilder.IndividualValueComponent` Encapsulates the properties of an individual value component.
`static class` | `OWLBuilder.ObjectPropertyValue` Pair `OWLObjectProperty`, `OWLIndividual`.
`static interface` | `OWLBuilder.PropertyValue` Marker interface for data and object property values.
`static interface` | `OWLBuilder.RestrictionComponent` Marker interface for restriction components.

Field Summary
`static int` | `FUNCTIONAL`
`static int` | `INVERSE_FUNCTIONAL`
`static int` | `SYMMETRIC`
`static int` | `TRANSITIVE`

Constructor Summary
`OWLBuilder()` Creates a new `OWLBuilder` instance and sets a default `OWLConnection` (to org.semanticweb.owl.impl.model.OWLConnectionImpl).
`OWLBuilder(OWLConnection connection)` Creates a new `OWLBuilder` instance and sets the connection property.

Method Summary
`void` | `addAnnotationInstance(OWLObject subject, OWLBuilder.AnnotationComponent annComponent)` Adds the annotation instance with the parameter `subject` as subject and with property and content given by the paameter `annComponent`.
`OWLAnnotationProperty` | `addAnnotationProperty(URI id)` Adds the annotation property identified by `id`, to the current ontology.
`OWLClass` | `addClass(URI id)` Adds the class identified by `id`, to the current ontology.
`void` | `addClassAxiom(OWLClassAxiom axiom)` Adds `axiom` to the ontology.
`OWLDataProperty` | `addDataProperty(URI id)` Adds the data property identified by `id`, to the current ontology.
`void` | `addDataPropertyRange(OWLDataProperty property, OWLDataRange range)` Adds `range` to `property`.
`void` | `addDataSubPropertyAxiom(URI subId, URI supId)` Adds to the current ontology an axiom stating that (the data property corresponding to) `subId` is a subproperty of (the data property corresponding to) `supId`.
`OWLDataType` | `addDataType(URI id)` Add the data type corresponding to `id` to the current ontology.
`void` | `addDescriptionToIndividual(OWLDescription description, OWLIndividual individual)` Adds `description` to `individual` in current ontology.
`void` | `addDifferentIndividualsAxiom(Set individuals)` Asserts `individuals` are different in the current ontology.
`void` | `addDisjointClassesAxiom(Set disjuncts)` Adds the evident axiom for `disjuncts` to the ontology.
`void` | `addEnumeration(OWLClass oClass, Set individuals)` Adds an enumeration of `individuals` to `oClass`.
`void` | `addEquivalentClass(OWLClass oClass, Set descriptions)` Adds to the current ontology the axiom stating that `oClass` is equivalent to the conjunction of the `OWLDescription`s in `descriptions`.
`void` | `addEquivalentClassesAxiom(Set equivalents)` Adds the evident axiom for `equivalents` to the ontology.
`void` | `addEquivalentDataPropertiesAxiom(Set equivalents)` Adds the evident axiom for `equivalents` to the ontology.
`void` | `addEquivalentObjectPropertiesAxiom(Set equivalents)` Adds the evident axiom for `equivalents` to the ontology.
`OWLIndividual` | `addIndividual(URI id)` Adds the individual identified by `id`, to the current ontology.
`OWLObjectProperty` | `addInverse(OWLObjectProperty property, URI inverseId)` Adds the inverse object property identified by `inverseId` to `property` (and to the current ontology).
`OWLObjectProperty` | `addObjectProperty(URI id)` Adds the object property identified by `id` to the current ontology.
`void` | `addObjectPropertyRange(OWLObjectProperty property, OWLDescription range)` Adds `range` to `property`.
`void` | `addObjectSubPropertyAxiom(URI subId, URI supId)` Adds to the current ontology an axiom stating that (the object property corresponding to) `subId` is a subproperty of (the object property corresponding to) `supId`.
`void` | `addOntologyAnnotationInstance(OWLBuilder.AnnotationComponent annComponent)` Adds the annotation instance with ontology itself as subject and with property and content given by the paameter `annComponent`.
`void` | `addPropertyAxiom(OWLPropertyAxiom axiom)` Adds `axiom` to the current ontology.
`void` | `addPropertyDomain(OWLProperty property, OWLDescription domain)` Adds `domain` to `property`.
`void` | `addPropertyValue(OWLIndividual subject, OWLBuilder.PropertyValue propValue)` Adds the property value `propValue` to `subject`.
`void` | `addSameIndividualsAxiom(Set individuals)` Asserts `individuals` are the same in the current ontology.
`void` | `addSubClassAxiom(OWLDescription description1, OWLDescription description2)` Adds an axiom stating that `description1` is a subclass of `description1`.
`void` | `addSuperClass(OWLClass oClass, Set descriptions)` Adds to the current ontology the axiom stating that the `oClass` is a subclass of the conjunction of the `OWLDescription`s in `descriptions`.
`void` | `addSuperProperty(OWLProperty property, OWLProperty superProperty)` Adds to the current ontology the fact that `property` has `superProperty` as super property.
`OWLDescription` | `complementOf(OWLDescription description)` Returns the `OWLDescription` corresponding to the complement of `description`.
`OWLBuilder.CardinalityComponent` | `createCardinalityComponent(int type)` Creates a `CardinalityComponent` with type `type`.
`OWLBuilder.DescriptionComponent` | `createDescriptionComponent(OWLDescription description, int type)` Creates a `DescriptionComponent` with description `description` and type `type`.
`void` | `createOntology(URI id, URI physicalURI)` Creates an ontology identified by `id` together with an `OWLDataFactory` and a `ChangeVisitor`.
`OWLAnnotationProperty` | `getAnnotationProperty(URI id)` Returns the annotation property corresponding to `id` in the current ontology.
`ChangeVisitor` | `getChangeVisitor()` Gets the current `ChangeVisitor`.
`OWLClass` | `getClass(URI id)` Returns the class corresponding to `id` in the current ontology.
`OWLDataValue` | `getConcreteData(URI uri, String lang, Object value)` Returns the `OWLDataValue` corresponding to the two arguments.
`OWLDataType` | `getConcreteDataType(URI uri)` Returns the `OWLDataType` corresponding to `uri`.
`OWLConnection` | `getConnection()` Gets the current `OWLConnection`.
`OWLDataEnumeration` | `getDataEnumeration(Set literals)` Returns the enumeration of the set of DataValue literals.
`OWLDataFactory` | `getDataFactory()` Gets the current `OWLDataFactory`.
`OWLDataProperty` | `getDataProperty(URI id)` Returns the data property corresponding to `id` in the current ontology.
`OWLIndividual` | `getIndividual(URI id)` Returns the individual corresponding to `id` in the current ontology.
`OWLObjectProperty` | `getObjectProperty(URI id)` Returns the object property corresponding to `id` in the current ontology.
`OWLRestriction` | `getObjectValueRestriction(URI propertyId, OWLIndividual individual)` Returns a restriction to the value `individual` for the property corresponding to `propertyId`.
`OWLOntology` | `getOntology()` Gets the current `OWLOntology`.
`OWLRestriction` | `getRestriction(OWLDataProperty property, OWLBuilder.CardinalityComponent card)` Returns the OWLRestriction for `property` corresponding to the CardinalityComponent `card`.
`OWLRestriction` | `getRestriction(OWLDataProperty property, OWLBuilder.DataLiteralValueComponent component)` Returns the OWLRestriction for `property` corresponding to the DataLiteralValueComponent `component`.
`OWLRestriction` | `getRestriction(OWLDataProperty property, OWLBuilder.DataRangeComponent dRComponent)` Returns the OWLRestriction for `property` corresponding to the DataRangeComponent `dRComponent`.
`OWLRestriction` | `getRestriction(OWLDataProperty property, OWLBuilder.RestrictionComponent component)` Returns the OWLRestriction for `property` corresponding to the RestrictionComponent `component`.
`OWLRestriction` | `getRestriction(OWLObjectProperty property, OWLBuilder.CardinalityComponent cComponent)` Returns the OWLRestriction for `property` corresponding to the CardinalityComponent `cComponent`.
`OWLRestriction` | `getRestriction(OWLObjectProperty property, OWLBuilder.DescriptionComponent dComponent)` Returns the OWLRestriction for `property` corresponding to the DescriptionComponent `dComponent`.
`OWLRestriction` | `getRestriction(OWLObjectProperty property, OWLBuilder.RestrictionComponent component)` Returns the OWLRestriction for `property` corresponding to the RestrictionComponent `component`.
`OWLDescription` | `intersectionOf(Set descriptions)` Returns the `OWLDescription` corresponding to the intersection of `descriptions`.
`OWLEnumeration` | `oneOf(Set individuals)` Returns the `OWLEnumeration` of `individuals`.
`void` | `setConnection(OWLConnection newConnection)` Set the value of the OWLConnection value.
`void` | `setDataPropertyFunctional(OWLDataProperty property)` Sets the OWLDataProperty `property` to functional.
`void` | `setDeprecatedObject(OWLDeprecatableObject deprecatable)` Deprecates `deprecatable`.
`void` | `setPropertyType(OWLObjectProperty property, int type)` Sets `property` to `type`.
`Set` | `toOWLDataProperties(Set dataPropertyURIs)` Returns the `Set` of `OWLDataProperty`s corresponding to `dataPropertyURIs` (in the current ontology).
`Set` | `toOWLIndividuals(Set individualURIs)` Returns the `Set` of `OWLIndividual`s corresponding to `individualURIs` (in the current ontology).
`Set` | `toOWLObjectProperties(Set objectPropertyURIs)` Returns the `Set` of `OWLObjectProperty`s corresponding to `objectPropertyURIs` (in the current ontology).
`static Set` | `toURIs(Set uriStrings)` Returns the `Set` of `URI`s corresponding to `uriStrings`.
`OWLDescription` | `unionOf(Set descriptions)` Returns the `OWLDescription` corresponding to the union of `descriptions`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMMETRIC

    public static final int SYMMETRIC

See Also:
  Constant Field Values

### FUNCTIONAL

    public static final int FUNCTIONAL

See Also:
  Constant Field Values

### INVERSE_FUNCTIONAL

    public static final int INVERSE_FUNCTIONAL

See Also:
  Constant Field Values

### TRANSITIVE

    public static final int TRANSITIVE

See Also:
  Constant Field Values

Constructor Detail

### OWLBuilder

    public OWLBuilder()

  Creates a new `OWLBuilder` instance and sets a default `OWLConnection` (to org.semanticweb.owl.impl.model.OWLConnectionImpl).

### OWLBuilder

    public OWLBuilder(OWLConnection connection)

  Creates a new `OWLBuilder` instance and sets the connection property.

Method Detail

### getOntology

    public OWLOntology getOntology()

  Gets the current `OWLOntology`.

  Returns:
    the current `OWLOntology`.

### getChangeVisitor

    public ChangeVisitor getChangeVisitor()

  Gets the current `ChangeVisitor`.

  Returns:
    the current `ChangeVisitor`.

### getDataFactory

    public OWLDataFactory getDataFactory()

  Gets the current `OWLDataFactory`.

  Returns:
    the current `OWLDataFactory`.

### getConnection

    public OWLConnection getConnection()

  Gets the current `OWLConnection`.

  Returns:
    the current `OWLConnection`.

### setConnection

    public void setConnection(OWLConnection newConnection)

  Set the value of the OWLConnection value.

  Parameters:
    `newConnection` - The new OWLConnection value.

### createOntology

    public void createOntology(URI id,
                               URI physicalURI)
                        throws OWLException

  Creates an ontology identified by `id` together with an `OWLDataFactory` and a `ChangeVisitor`.

  Parameters:
    `id` - an `URI` value
  Throws:
    `OWLException` - if an error occurs

### getClass

    public OWLClass getClass(URI id)
                      throws OWLException

  Returns the class corresponding to `id` in the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the class corresponding to `id`
  Throws:
    `OWLException` - if an error occurs

### addClass

    public OWLClass addClass(URI id)
                      throws OWLException

  Adds the class identified by `id`, to the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the `OWLClass` corresponding to `id`.
  Throws:
    `OWLException` - if an error occurs

### getIndividual

    public OWLIndividual getIndividual(URI id)
                                throws OWLException

  Returns the individual corresponding to `id` in the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the individual corresponding to `id`
  Throws:
    `OWLException` - if an error occurs

### addIndividual

    public OWLIndividual addIndividual(URI id)
                                throws OWLException

  Adds the individual identified by `id`, to the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the `OWLIndividual` corresponding to `id`.
  Throws:
    `OWLException` - if an error occurs

### addAnnotationInstance

    public void addAnnotationInstance(OWLObject subject,
                                      OWLBuilder.AnnotationComponent annComponent)
                               throws OWLException

  Adds the annotation instance with the parameter `subject` as subject and with property and content given by the paameter `annComponent`.

  Parameters:
    `subject` - an `OWLObject` value
    `annComponent` - an `AnnotationComponent` value
  Throws:
    `OWLException` - if an error occurs

### addOntologyAnnotationInstance

    public void addOntologyAnnotationInstance(OWLBuilder.AnnotationComponent annComponent)
                                       throws OWLException

  Adds the annotation instance with ontology itself as subject and with property and content given by the paameter `annComponent`.

  Parameters:
    `annComponent` - an `AnnotationComponent` value
  Throws:
    `OWLException` - if an error occurs

### getObjectProperty

    public OWLObjectProperty getObjectProperty(URI id)
                                        throws OWLException

  Returns the object property corresponding to `id` in the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the object property corresponding to `id`
  Throws:
    `OWLException` - if an error occurs

### getAnnotationProperty

    public OWLAnnotationProperty getAnnotationProperty(URI id)
                                                throws OWLException

  Returns the annotation property corresponding to `id` in the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the annotation property corresponding to `id`
  Throws:
    `OWLException` - if an error occurs

### addObjectProperty

    public OWLObjectProperty addObjectProperty(URI id)
                                        throws OWLException

  Adds the object property identified by `id` to the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the added `OWLObjectProperty`.
  Throws:
    `OWLException` - if an error occurs

### addInverse

    public OWLObjectProperty addInverse(OWLObjectProperty property,
                                        URI inverseId)
                                 throws OWLException

  Adds the inverse object property identified by `inverseId` to `property` (and to the current ontology).

  Parameters:
    `property` - an `OWLObjectProperty`.
    `inverseId` - the `URI` of the inverse property to add.
  Returns:
    the added inverse `OWLObjectProperty`.
  Throws:
    `OWLException` - if an error occurs

### getDataProperty

    public OWLDataProperty getDataProperty(URI id)
                                    throws OWLException

  Returns the data property corresponding to `id` in the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the data property corresponding to `id`
  Throws:
    `OWLException` - if an error occurs

### addDataProperty

    public OWLDataProperty addDataProperty(URI id)
                                    throws OWLException

  Adds the data property identified by `id`, to the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the added `OWLDataProperty`.
  Throws:
    `OWLException` - if an error occurs

### setDeprecatedObject

    public void setDeprecatedObject(OWLDeprecatableObject deprecatable)
                             throws OWLException

  Deprecates `deprecatable`.

  Parameters:
    `deprecatable` - an `OWLDeprecatableObject` value
  Throws:
    `OWLException` - if an error occurs

### addDescriptionToIndividual

    public void addDescriptionToIndividual(OWLDescription description,
                                           OWLIndividual individual)
                                    throws OWLException

  Adds `description` to `individual` in current ontology.

  Parameters:
    `description` - an `OWLDescription` value
    `individual` - an `OWLIndividual` value
  Throws:
    `OWLException` - if an error occurs

### addSameIndividualsAxiom

    public void addSameIndividualsAxiom(Set individuals)
                                 throws OWLException

  Asserts `individuals` are the same in the current ontology.

  Parameters:
    `individuals` - a `Set` of `URI`s.
  Throws:
    `OWLException` - if an error occurs

### addDifferentIndividualsAxiom

    public void addDifferentIndividualsAxiom(Set individuals)
                                      throws OWLException

  Asserts `individuals` are different in the current ontology.

  Parameters:
    `individuals` - a `Set` of `URI`s.
  Throws:
    `OWLException` - if an error occurs

### setPropertyType

    public void setPropertyType(OWLObjectProperty property,
                                int type)
                         throws OWLException

  Sets `property` to `type`.

  Parameters:
    `property` - an `OWLObjectProperty`.
    `type` - one of: `SYMMETRIC`, `FUNCTIONAL`, `INVERSE_FUNCTIONAL`, `TRANSITIVE`.
  Throws:
    `OWLException` - if an error occurs

### setDataPropertyFunctional

    public void setDataPropertyFunctional(OWLDataProperty property)
                                   throws OWLException

  Sets the OWLDataProperty `property` to functional.

  Parameters:
    `property` - an `OWLDataProperty` value
  Throws:
    `OWLException` - if an error occurs

### addEnumeration

    public void addEnumeration(OWLClass oClass,
                               Set individuals)
                        throws OWLException

  Adds an enumeration of `individuals` to `oClass`.

  Parameters:
    `oClass` - an `OWLClass`.
    `individuals` - a `Set` of `OWLIndividual`s.
  Throws:
    `OWLException` - if an error occurs

### addEquivalentClass

    public void addEquivalentClass(OWLClass oClass,
                                   Set descriptions)
                            throws OWLException

  Adds to the current ontology the axiom stating that `oClass` is equivalent to the conjunction of the `OWLDescription`s in `descriptions`.

  Parameters:
    `oClass` - an `OWLClass` value
    `descriptions` - a `Set` of `OWLDescription`s.
  Throws:
    `OWLException` - if an error occurs

### addSuperClass

    public void addSuperClass(OWLClass oClass,
                              Set descriptions)
                       throws OWLException

  Adds to the current ontology the axiom stating that the `oClass` is a subclass of the conjunction of the `OWLDescription`s in `descriptions`.

  Parameters:
    `oClass` - an `OWLClass` value
    `descriptions` - a `Set` of `OWLDescription`s.
  Throws:
    `OWLException` - if an error occurs

### addDisjointClassesAxiom

    public void addDisjointClassesAxiom(Set disjuncts)
                                 throws OWLException

  Adds the evident axiom for `disjuncts` to the ontology.

  Parameters:
    `disjuncts` - a `Set` of `OWLDescription`s.
  Throws:
    `OWLException` - if an error occurs

### addEquivalentClassesAxiom

    public void addEquivalentClassesAxiom(Set equivalents)
                                   throws OWLException

  Adds the evident axiom for `equivalents` to the ontology.

  Parameters:
    `equivalents` - a `Set` of `OWLDescription`s.
  Throws:
    `OWLException` - if an error occurs

### addSubClassAxiom

    public void addSubClassAxiom(OWLDescription description1,
                                 OWLDescription description2)
                          throws OWLException

  Adds an axiom stating that `description1` is a subclass of `description1`.

  Parameters:
    `description1` - an `OWLDescription` value
    `description2` - an `OWLDescription` value
  Throws:
    `OWLException` - if an error occurs

### addClassAxiom

    public void addClassAxiom(OWLClassAxiom axiom)
                       throws OWLException

  Adds `axiom` to the ontology.

  Parameters:
    `axiom` - an `OWLClassAxiom` value
  Throws:
    `OWLException` - if an error occurs

### addDataType

    public OWLDataType addDataType(URI id)
                            throws OWLException

  Add the data type corresponding to `id` to the current ontology.

  Parameters:
    `id` - an `URI`
  Returns:
    the added `OWLDataType`.
  Throws:
    `OWLException` - if an error occurs

### addDataSubPropertyAxiom

    public void addDataSubPropertyAxiom(URI subId,
                                        URI supId)
                                 throws OWLException

  Adds to the current ontology an axiom stating that (the data property corresponding to) `subId` is a subproperty of (the data property corresponding to) `supId`.

  Parameters:
    `subId` - an `URI` value
    `supId` - an `URI` value
  Throws:
    `OWLException` - if an error occurs

### addSuperProperty

    public void addSuperProperty(OWLProperty property,
                                 OWLProperty superProperty)
                          throws OWLException

  Adds to the current ontology the fact that `property` has `superProperty` as super property.

  Parameters:
    `property` - an `OWLProperty` value
    `superProperty` - an `OWLProperty` value
  Throws:
    `OWLException` - if an error occurs

### addObjectSubPropertyAxiom

    public void addObjectSubPropertyAxiom(URI subId,
                                          URI supId)
                                   throws OWLException

  Adds to the current ontology an axiom stating that (the object property corresponding to) `subId` is a subproperty of (the object property corresponding to) `supId`.

  Parameters:
    `subId` - an `URI` value
    `supId` - an `URI` value
  Throws:
    `OWLException` - if an error occurs

### addPropertyAxiom

    public void addPropertyAxiom(OWLPropertyAxiom axiom)
                          throws OWLException

  Adds `axiom` to the current ontology.

  Parameters:
    `axiom` - an `OWLPropertyAxiom` value
  Throws:
    `OWLException` - if an error occurs

### addPropertyDomain

    public void addPropertyDomain(OWLProperty property,
                                  OWLDescription domain)
                           throws OWLException

  Adds `domain` to `property`.

  Parameters:
    `property` - an `OWLProperty` value
    `domain` - an `OWLDescription` value
  Throws:
    `OWLException` - if an error occurs

### addObjectPropertyRange

    public void addObjectPropertyRange(OWLObjectProperty property,
                                       OWLDescription range)
                                throws OWLException

  Adds `range` to `property`.

  Parameters:
    `property` - an `OWLObjectProperty` value
    `range` - an `OWLDescription` value
  Throws:
    `OWLException` - if an error occurs

### addDataPropertyRange

    public void addDataPropertyRange(OWLDataProperty property,
                                     OWLDataRange range)
                              throws OWLException

  Adds `range` to `property`.

  Parameters:
    `property` - an `OWLDataProperty` value
    `range` - an `OWLDataRange` value
  Throws:
    `OWLException` - if an error occurs

### addEquivalentObjectPropertiesAxiom

    public void addEquivalentObjectPropertiesAxiom(Set equivalents)
                                            throws OWLException

  Adds the evident axiom for `equivalents` to the ontology.

  Parameters:
    `equivalents` - a `Set` of URIs corresponding to `OWLObjectProperty`s.
  Throws:
    `OWLException` - if an error occurs

### addEquivalentDataPropertiesAxiom

    public void addEquivalentDataPropertiesAxiom(Set equivalents)
                                          throws OWLException

  Adds the evident axiom for `equivalents` to the ontology.

  Parameters:
    `equivalents` - a `Set` of URIs corresponding to `OWLDataProperty`s.
  Throws:
    `OWLException` - if an error occurs

### unionOf

    public OWLDescription unionOf(Set descriptions)
                           throws OWLException

  Returns the `OWLDescription` corresponding to the union of `descriptions`.

  Parameters:
    `descriptions` - a `Set` of `OWLDescription`s.
  Returns:
    the `OWLDescription` corresponding to the union of `descriptions`.
  Throws:
    `OWLException` - if an error occurs

### intersectionOf

    public OWLDescription intersectionOf(Set descriptions)
                                  throws OWLException

  Returns the `OWLDescription` corresponding to the intersection of `descriptions`.

  Parameters:
    `descriptions` - a `Set` of `OWLDescription`s.
  Returns:
    the `OWLDescription` corresponding to the intersection of `descriptions`.
  Throws:
    `OWLException` - if an error occurs

### complementOf

    public OWLDescription complementOf(OWLDescription description)
                                throws OWLException

  Returns the `OWLDescription` corresponding to the complement of `description`.

  Parameters:
    `description` - an `OWLDescription`.
  Returns:
    the `OWLDescription` corresponding to the complement of `description`.
  Throws:
    `OWLException` - if an error occurs

### oneOf

    public OWLEnumeration oneOf(Set individuals)
                         throws OWLException

  Returns the `OWLEnumeration` of `individuals`.

  Parameters:
    `individuals` - a `Set` of URI's.
  Returns:
    the `OWLEnumeration` of `individuals`.
  Throws:
    `OWLException` - if an error occurs

### toOWLIndividuals

    public Set toOWLIndividuals(Set individualURIs)
                         throws OWLException

  Returns the `Set` of `OWLIndividual`s corresponding to `individualURIs` (in the current ontology).

  Parameters:
    `individualURIs` - a `Set` of URI's.
  Returns:
    the `Set` of `OWLIndividual`s corresponding to `individualURIs`
  Throws:
    `OWLException` - if an error occurs

### toOWLObjectProperties

    public Set toOWLObjectProperties(Set objectPropertyURIs)
                              throws OWLException

  Returns the `Set` of `OWLObjectProperty`s corresponding to `objectPropertyURIs` (in the current ontology).

  Parameters:
    `objectPropertyURIs` - a `Set` of URI's.
  Returns:
    the `Set` of `OWLObjectProperty`s corresponding to `objectPropertyURIs`
  Throws:
    `OWLException` - if an error occurs

### toURIs

    public static Set toURIs(Set uriStrings)
                      throws URISyntaxException

  Returns the `Set` of `URI`s corresponding to `uriStrings`.

  Parameters:
    `uriStrings` - a `Set` of Strings.
  Returns:
    the `Set` of `URI`s corresponding to `uriStrings`.
  Throws:
    `URISyntaxException` - if one of the uriStrings is not a well-formed URI. if one of the `uriStrings` is not well formed.

### toOWLDataProperties

    public Set toOWLDataProperties(Set dataPropertyURIs)
                            throws OWLException

  Returns the `Set` of `OWLDataProperty`s corresponding to `dataPropertyURIs` (in the current ontology).

  Parameters:
    `dataPropertyURIs` - a `Set` of URI's.
  Returns:
    the `Set` of `OWLDataProperty`s corresponding to `dataPropertyURIs`
  Throws:
    `OWLException` - if an error occurs

### addAnnotationProperty

    public OWLAnnotationProperty addAnnotationProperty(URI id)
                                                throws OWLException

  Adds the annotation property identified by `id`, to the current ontology.

  Parameters:
    `id` - an `URI` value
  Returns:
    the `OWLAnnotationProperty` corresponding to `id`.
  Throws:
    `OWLException` - if an error occurs

### getObjectValueRestriction

    public OWLRestriction getObjectValueRestriction(URI propertyId,
                                                    OWLIndividual individual)
                                             throws OWLException

  Returns a restriction to the value `individual` for the property corresponding to `propertyId`.

  Parameters:
    `propertyId` - an `URI` value
    `individual` - an `OWLIndividual` value
  Returns:
    a restriction to the value `individual` for the property corresponding to `propertyId`.
  Throws:
    `OWLException` - if an error occurs

### createCardinalityComponent

    public OWLBuilder.CardinalityComponent createCardinalityComponent(int type)

  Creates a `CardinalityComponent` with type `type`.

  Parameters:
    `type` - one of the constants in `OWLBuilder.CardinalityComponent`.
  Returns:
    a `CardinalityComponent` with type `type`.

### createDescriptionComponent

    public OWLBuilder.DescriptionComponent createDescriptionComponent(OWLDescription description,
                                                                      int type)

  Creates a `DescriptionComponent` with description `description` and type `type`.

  Parameters:
    `type` - one of the constants in `OWLBuilder.DescriptionComponent`.
  Returns:
    a `DescriptionComponent` with type `type`.

### getRestriction

    public OWLRestriction getRestriction(OWLObjectProperty property,
                                         OWLBuilder.RestrictionComponent component)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the RestrictionComponent `component`.

  Parameters:
    `property` - an `OWLObjectProperty`.
    `component` - a `RestrictionComponent`.
  Returns:
    the OWLRestriction for `property` corresponding to the RestrictionComponent `component`.
  Throws:
    `OWLException` - if an error occurs

### getRestriction

    public OWLRestriction getRestriction(OWLObjectProperty property,
                                         OWLBuilder.CardinalityComponent cComponent)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the CardinalityComponent `cComponent`.

  Parameters:
    `property` - an `OWLObjectProperty`.
    `cComponent` - a `CardinalityComponent` value
  Returns:
    the OWLRestriction for `property` corresponding to the CardinalityComponent `cComponent`.
  Throws:
    `OWLException` - if an error occurs
    `CardinalityNotSupportedError` - if the type of `cComponent` is not one of `OWLBuilder.CardinalityComponent.MAX`, `OWLBuilder.CardinalityComponent.MIN`, or `OWLBuilder.CardinalityComponent.EQ`.

### getRestriction

    public OWLRestriction getRestriction(OWLObjectProperty property,
                                         OWLBuilder.DescriptionComponent dComponent)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the DescriptionComponent `dComponent`.

  Parameters:
    `property` - an `OWLObjectProperty`.
    `dComponent` - a `DescriptionComponent` value
  Returns:
    the OWLRestriction for `property` corresponding to the DescriptionComponent `dComponent`.
  Throws:
    `OWLException` - if an error occurs
    `DescriptionRestrictionNotSupportedError` - if the type of `dComponent` is neither `OWLBuilder.DescriptionComponent.ALL` nor `OWLBuilder.DescriptionComponent.SOME`.

### getRestriction

    public OWLRestriction getRestriction(OWLDataProperty property,
                                         OWLBuilder.RestrictionComponent component)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the RestrictionComponent `component`.

  Parameters:
    `property` - an `OWLDataProperty` value
    `component` - a `RestrictionComponent`.
  Returns:
    the OWLRestriction for `property` corresponding to the RestrictionComponent `component`.
  Throws:
    `OWLException` - if an error occurs

### getRestriction

    public OWLRestriction getRestriction(OWLDataProperty property,
                                         OWLBuilder.CardinalityComponent card)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the CardinalityComponent `card`.

  Parameters:
    `property` - an `OWLDataProperty` value
    `card` - a `CardinalityComponent` value
  Returns:
    the OWLRestriction for `property` corresponding to the CardinalityComponent `card`.
  Throws:
    `OWLException` - if an error occurs

### getRestriction

    public OWLRestriction getRestriction(OWLDataProperty property,
                                         OWLBuilder.DataRangeComponent dRComponent)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the DataRangeComponent `dRComponent`.

  Parameters:
    `property` - an `OWLDataProperty` value
    `dRComponent` - a `DataRangeComponent` value
  Returns:
    an `OWLRestriction` value
  Throws:
    `OWLException` - if an error occurs

### getRestriction

    public OWLRestriction getRestriction(OWLDataProperty property,
                                         OWLBuilder.DataLiteralValueComponent component)
                                  throws OWLException

  Returns the OWLRestriction for `property` corresponding to the DataLiteralValueComponent `component`.

  Parameters:
    `property` - an `OWLDataProperty` value
    `component` - a `DataLiteralValueComponent` value
  Returns:
    an `OWLRestriction` value
  Throws:
    `OWLException` - if an error occurs

### getConcreteData

    public OWLDataValue getConcreteData(URI uri,
                                        String lang,
                                        Object value)
                                 throws OWLException

  Returns the `OWLDataValue` corresponding to the two arguments.

  Parameters:
    `uri` - an `URI` value
    `value` - an `Object` value
  Returns:
    the `OWLDataValue` corresponding to the two arguments.
  Throws:
    `OWLException` - if an error occurs

### getConcreteDataType

    public OWLDataType getConcreteDataType(URI uri)
                                    throws OWLException

  Returns the `OWLDataType` corresponding to `uri`.

  Parameters:
    `uri` - an `URI` value
  Returns:
    an `OWLDataType` value
  Throws:
    `OWLException` - if an error occurs

### getDataEnumeration

    public OWLDataEnumeration getDataEnumeration(Set literals)
                                          throws OWLException

  Returns the enumeration of the set of DataValue literals.

  Parameters:
    `literals` - a `Set` of `OWLDataValue`s.
  Returns:
    an `OWLDataEnumeration` value
  Throws:
    `OWLException` - if an error occurs

### addPropertyValue

    public void addPropertyValue(OWLIndividual subject,
                                 OWLBuilder.PropertyValue propValue)
                          throws OWLException

  Adds the property value `propValue` to `subject`.

  Parameters:
    `subject` - an `OWLIndividual`.
    `propValue` - either an `OWLBuilder.ObjectPropertyValue` or a `OWLBuilder.DataPropertyValue`.
  Throws:
    `OWLException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb